Bug 44915 - creates messy png's
creates messy png's
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: ImageMagick (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-18 17:11 EDT by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-26 12:37:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
import -frame test.miff (132.15 KB, application/octet-stream)
2001-06-18 17:13 EDT, Enrico Scholz
no flags Details
convert test.miff test-bad.png (4.95 KB, image/png)
2001-06-18 17:14 EDT, Enrico Scholz
no flags Details
convert -depth 8 test.miff test-good.png (3.93 KB, image/png)
2001-06-18 17:14 EDT, Enrico Scholz
no flags Details

  None (edit)
Description Enrico Scholz 2001-06-18 17:11:51 EDT
Description of Problem:

When using ImageMagick to create PNG's (e.g. with import or convert)
something goes wrong. Adding the `-depth 8' option seems to cure it.

Without it I get a warning also:

-------------
$ convert test.miff test-bad.png
convert: Unable to read delegates configuration file (delegates.mgk) [No
such file or directory].
$ convert -depth 8 test.miff test-good.png
$ 
-------------

How Reproducible:

everytime

Steps to Reproduce:
1. create a test.miff file (e.g. with import)
2. convert test.miff test-bad.png
Comment 1 Enrico Scholz 2001-06-18 17:13:35 EDT
Created attachment 21265 [details]
import -frame test.miff
Comment 2 Enrico Scholz 2001-06-18 17:14:07 EDT
Created attachment 21266 [details]
convert test.miff test-bad.png
Comment 3 Enrico Scholz 2001-06-18 17:14:36 EDT
Created attachment 21267 [details]
convert -depth 8 test.miff test-good.png
Comment 4 Enrico Scholz 2001-06-18 17:16:03 EDT
Forgot to mention relevant packages:

ImageMagick-5.3.5-1
XFree86-libs-4.1.0-0.0.1
bzip2-libs-1.0.1-4
freetype-2.0.1-5
glibc-2.2.3-11
libxml2-2.3.8-3
zlib-1.1.3-22
libpng-1.0.11-2
libtiff-3.5.5-10
libjpeg-6b-15
Comment 5 Bernhard Rosenkraenzer 2001-06-26 12:37:49 EDT
Verified... ImageMagick 5.3.3 works.
Forwarding to the base package maintainers just in case they have the time to 
fix this before I do.
Comment 6 Bernhard Rosenkraenzer 2001-08-27 09:55:03 EDT
Fixed in 5.3.8-3

Note You need to log in before you can comment on or make changes to this bug.